<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/white">

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryDark">

        <LinearLayout
            android:id="@+id/title_bar_with_back_btn"
            android:layout_width="match_parent"
            android:layout_height="@dimen/action_bar_height"
            android:orientation="horizontal"
            android:background="@drawable/titlebar_bg">

            <LinearLayout
                android:id="@+id/title_bar_back_layout"
                android:layout_width="70dp"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="12dp">

                <ImageView
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:src="@drawable/bottom_back_selector" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:paddingLeft="10dp"
                android:paddingRight="10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <com.android.views.circleimageview.CircleImageView
                    android:id="@+id/iv_title_bar_avatar"
                    android:layout_width="28dp"
                    android:layout_height="28dp"
                    android:layout_gravity="center_vertical"
                    app:civ_border_width="1dp"
                    app:civ_border_color="@color/pop_bg_color"
                    android:src="@drawable/default_avatar"/>

                <TextView
                    android:id="@+id/title_bar_middle_txt"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:singleLine="true"
                    android:gravity="center"
                    android:paddingLeft="8dp"
                    android:textColor="@color/white"
                    android:textSize="@dimen/action_bar_title_large_text_size" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/title_bar_option_layout"
                android:layout_width="70dp"
                android:layout_height="match_parent"
                android:gravity="center_vertical|right"
                android:orientation="horizontal"
                android:paddingRight="12dp">

                <ImageView
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:src="@drawable/option" />

            </LinearLayout>

        </LinearLayout>

    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/content_fragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/title_layout"/>


    <ImageButton
        android:id="@+id/floating_btn_camera"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:layout_alignParentBottom="true"
        android:layout_alignParentRight="true"
        android:layout_margin="10dp"
        android:background="@drawable/floating_camera_selector" />

</RelativeLayout>